*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html,body{
    height: 100%;
    width: 100%;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

main{
    /* background-color: black; */
    background:
    linear-gradient(
        135deg,
        #f5f5f5 0%,
        #e8e8e8 35%,
        #dcdcdc 100%
    );
    height: 100%;
    width: 100%;
    padding: 20px 100px;
}
section{
    background-color: #2D2D2D;
    height: 100%;
    width: 100%;
    border-radius: 20px;
    display: grid;
    /* grid-template-columns: 20% 20% 20% 20% 20%;
    grid-template-rows: 10% 20% 20% 10% 40%; */
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    /* grid-template-rows: 1.5fr 1.5fr 2fr 1.5fr 3fr; */
    grid-template-rows: 1.3fr 1.3fr 1.3fr 1.3fr 2fr;
    box-shadow:
    0 20px 50px rgba(0,0,0,0.25),
    inset 0 0 0 2px rgba(255,255,255,0.03);
    gap: 10px;
    padding: 10px;
    grid-template-areas: 
    "top_left top_left top_center1 top_center2 top_right"
    "top_left top_left top_center1 top_center2 right_center1"
    "center_left1 center_left2 center_center center_center right_center1"
    "center_left1 center_left2 center_center center_center right_center2"
    "bottom_left bottom_left bottom_left bottom_right bottom_right"
    ;
}




#top_left{
    background-color: #252525;
    grid-area: top_left;
    border: 1px solid #262626;
    border-radius: 10px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
#top_left .top{
    display: flex;
    align-items: center;
    gap: 10px;
}
#top_left .top .img_container{
    border-radius: 50%;
    width: 50px;
    height: 50px;
}
#top_left .top .img_container img{
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-size: cover;
}

#center_left1{
    /* background-color: #F6F5F6; */
    background: url("https://5.imimg.com/data5/SELLER/Default/2023/11/361555391/FK/RJ/BZ/201992199/kingdom-of-white-relaxer-half-sleeve-white-casual-shirt-with-cutaway-collar-500x500.jpg");
    background-position: top;
    grid-area: center_left1;
    border: 1px solid #262626;
    border-radius: 10px;
}

#center_left2{
    background-color: #141414;
    grid-area: center_left2;
    border: 1px solid #262626;
    border-radius: 10px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#bottom_left{
    background-color: #141414;
    grid-area: bottom_left;
    border: 1px solid #262626;
    border-radius: 10px;
    padding: 20px;
    display: flex;
    gap: 30px;
    align-items: center;
    justify-content: center;
}
#bottom_left .left{
    width: 60%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
#bottom_left .right{
    width: 40%;
    display: flex;
    justify-content: center;
}
#bottom_left .right img{
    width: 40%;
    filter: grayscale(100%) brightness(0.8);
    border-radius: 12px;
    border: 3px solid transparent;
    background: linear-gradient(135deg, #8a8a8a, #d1d1d1) border-box;
    padding: 4px;
    opacity: .2;
}


#top_center1{
    /* background-color: #F6F5F6; */
    background: url('/mobile-img.jpg');
    background-size: cover;
    grid-area: top_center1;
    border: 1px solid #262626;
    border-radius: 10px;
}

#top_center2{
    background-color: #F6F5F6;
    grid-area: top_center2;
    border: 1px solid #262626;
    border-radius: 10px;
    position: relative;
}
#top_center2 img{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}

#center_center{
    background: url('/laptop-img.jpg');
    background-position: top;
    background-size: cover;
    grid-area: center_center;
    border: 1px solid #262626;
    border-radius: 10px;
}

#top_right{
    background-color: transparent;
    grid-area: top_right;
    padding: 20px 10px;
}
#top_right .social_icons{
    /* display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px; */
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 10px;
}
.social_icons .icon{
    background-color: #1A1A1A;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 8px;
    border: 2px solid #040404;
}
.icon i{
    color: #A3A3A7;
    font-size: 25px;
}

#right_center1{
    background-color: #141414;
    grid-area: right_center1;
    border: 1px solid #262626;
    border-radius: 10px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#right_center2{
    background-color: #141414;
    grid-area: right_center2;
    border: 1px solid #262626;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
#right_center2 .mode{
    background-color: #262626;
    border-radius: 40px;
    width: 50px;
    height: 30px;
    position: relative;
}
.mode i{
    position: absolute;
    top: 5px;
    right: 0;
    background-color: #FAFAFA;
    border-radius: 50%;
    height: 20px;
    width: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#bottom_right{
    background-color: #141414;
    grid-area: bottom_right;
    border: 1px solid #262626;
    border-radius: 10px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}